count_s_connected_cmpts {DiagrammeR} | R Documentation

## Get the number of strongly-connected components

### Description

Get the number of strongly-connected components in the graph.

### Usage

    count_s_connected_cmpts(graph)

### Arguments

`graph` | a graph object of class `dgr_graph`.

### Value

a single integer value representing the number of strongly-connected graph components.

### Examples

    # Create a graph and add
    # several graph islands
    graph <-
      create_graph() %>%
      add_islands_graph(
        n_islands = 4,
        island_size = 10,
        p = 1/5,
        edges_between = 1,
        set_seed = 23)

    # Get a count of strongly-connected
    # components in the graph
    graph %>%
      count_s_connected_cmpts()

[Package DiagrammeR version 1.0.1 Index]